public static HttpClient create(ApiClientConfiguration configuration, SslStoreBundle sslStoreBundle)
        throws SslFactoryException {
    SSLContext sslContext = SslContextFactory.createSslContext(configuration, sslStoreBundle);

    return HttpClient.newBuilder()
            .sslContext(sslContext)
            .connectTimeout(Duration.ofSeconds(configuration.getConnectTimeoutSeconds()))
            .build();
}
